import { Router } from "express";
import { FuelTypeController } from "./fuelType.controller";
import { authMiddleware } from "../auth/auth.middleware";

const fuelRoutes = Router();

const controller = new FuelTypeController();

fuelRoutes.get("/", authMiddleware, controller.getAll);

fuelRoutes.get("/:id", authMiddleware, controller.getById);

fuelRoutes.post("/", authMiddleware, controller.create);

fuelRoutes.put("/:id", authMiddleware, controller.update);

fuelRoutes.delete("/:id", authMiddleware, controller.delete);

export default fuelRoutes;